'use client'

import { useEffect, useState } from 'react'
import { CardGroup } from '@/components/ui/card-group'
import { Spinner } from '@/components/ui/spinner'

export default function Home() {
  const [commanderCardList, setCommanderCardList] = useState([])
  const [loading, setLoading] = useState(true)

  useEffect(() => {
    fetch('/api/json/commander/top.json').then((res) => {
      if(res.status == 200) {
        res.json().then((data) => {
          const limit = 20
          setCommanderCardList(data.slice(0,limit))
          setLoading(false)
          console.log(data)
        })
      }
    })
  }, []) 
  return (
    <div className="flex flex-col items-center w-full">
      <div className="flex flex-col items-center mt-24 mb-24 max-w-6xl">
        { loading && ( <Spinner className='mt-36' /> )}
        { !loading && ( <CardGroup groupName="Top commandants" showPercent={false} cards={commanderCardList} /> )}
      </div>
    </div>
  );
}
